Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.tools.remote.http
Class HTTPSubjectInvoker

    java.lang.Object
      mx4j.tools.remote.SubjectInvoker
          mx4j.tools.remote.http.HTTPSubjectInvoker

All Implemented Interfaces:
  java.lang.reflect.InvocationHandler

public class HTTPSubjectInvoker
extends SubjectInvoker

Version:
  $Revision: 1.5 $

Method Summary
`protected boolean` | `isPlainInvoke(java.lang.reflect.Method method)`
`static HTTPConnection` | `newInstance(HTTPConnection target, javax.security.auth.Subject subject, java.security.AccessControlContext context, java.util.Map environment)`

Methods inherited from class mx4j.tools.remote.SubjectInvoker
`chain, handleSpecialInvoke, invoke, subjectInvoke`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newInstance

    public static HTTPConnection newInstance(HTTPConnection target,
                                             javax.security.auth.Subject subject,
                                             java.security.AccessControlContext context,
                                             java.util.Map environment)

### isPlainInvoke

    protected boolean isPlainInvoke(java.lang.reflect.Method method)

  Overrides:
    `isPlainInvoke` in class `SubjectInvoker`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.